Bug 1348072 - Backups for Gerrit
Summary: Backups for Gerrit
Keywords:
Status: NEW
Alias: None
Product: GlusterFS
Classification: Community
Component: project-infrastructure
Version: mainline
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-20 05:59 UTC by Nigel Babu
Modified: 2019-08-31 17:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Nigel Babu 2016-06-20 05:59:49 UTC
We don't currently backup Gerrit. We should starting backing it up ASAP considering it's critical infrastructure.

Comment 1 Nigel Babu 2016-08-02 03:57:02 UTC
This is blocked on having more disk space on the machine. I've brought this up with Michael. Once we move the VM over, we'll add more diskspace.

Comment 2 M. Scherer 2017-08-30 19:12:14 UTC
So, what is needed to be backed up exactly ? Postgresql should be ok now, what else ?

Comment 3 Nigel Babu 2017-08-31 02:12:35 UTC
We'll need to backup /review/review.gluster.org/ entirely. And time it so it's at the exact same time as the postgresql back up. Extra points for switching off apache and xinetd during the duration of the back up (so that gerrit is effectively read-only)

Comment 4 Amar Tumballi 2019-05-09 19:53:35 UTC
Any idea if this is done?

Comment 5 sankarshan 2019-05-27 01:00:54 UTC
Michael, is this being planned in the near future?

Comment 6 M. Scherer 2019-06-12 12:16:11 UTC
I need to review the current status, I know we have database backups, but backups is one half of the coin, we also need to test the recovery from end to end. And testing the recovery requires to be able to automate the installation of Gerrit, something that was cautiously delayed due to the criticity of the service (aka, that's still not managed by ansible).


Note You need to log in before you can comment on or make changes to this bug.